Page MenuHomePhabricator

Use site favicon as icon for list item to remote repo
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/107

Narrative

As a reader, I want to see a site-specific icon next to the remote repository link in MultimediaViewer, so that it's clearer what I'm clicking on and frankly looks way cooler.

Acceptance Criteria

  • Determine whether wgFavicon was returned via the API (see https://gerrit.wikimedia.org/r/107127 )
  • Set the background-image to use that value
  • Keep the default if no favicon returned - will ensure a smooth rollout and support for third party wikis sans favicon.

Issues

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to Needs Triage.
MingleTerminator added a project: Multimedia.
In mingle on 2014-01-15 at 10:26:22, @Gilles wrote:

Hello world

In mingle on 2014-01-15 at 10:30:06, @Gilles wrote:

Hello, mingle bro

In mingle on 2014-01-15 at 10:34:39, @Gilles wrote:

Come on, mingle bro...

In mingle on 2014-01-15 at 10:38:02, @Gilles wrote:

Test

In mingle on 2014-01-16 at 14:01:18, @Gilles wrote:

Other core patch for the local repo: https://gerrit.wikimedia.org/r/107712

In mingle on 2014-01-21 at 17:06:32, @Gilles wrote:

Pending review of the core patches

Change 738022 had a related patch set uploaded (by Krinkle; author: Krinkle):

[mediawiki/core@master] filerepo: Simplify and document 'favicon' FileRepo option

https://gerrit.wikimedia.org/r/738022

Change 738022 merged by jenkins-bot:

[mediawiki/core@master] filerepo: Simplify and document 'favicon' FileRepo option

https://gerrit.wikimedia.org/r/738022